/* Copyright (C) 2000  Free Software Foundation

   This file is part of libgcj.

This software is copyrighted work licensed under the terms of the
Libgcj License.  Please consult the file "LIBGCJ_LICENSE" for
details.  */

package javax.swing.border;

import java.awt.*;

public interface Border 
{
  void paintBorder(Component component, Graphics gfx,
		   int x, int y, int width, int height);
  
  Insets getBorderInsets(Component component);
  
  boolean isBorderOpaque();
}


